OpenVDB: PopulateAttributeOp< PointDataTreeType, PointIndexTreeType, AttributeListType > Struct Template Reference

OpenVDB 6.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
PopulateAttributeOp< PointDataTreeType, PointIndexTreeType, AttributeListType > Struct Template Reference

`#include <PointConversion.h>`

## Public Types
using | LeafManagerT = typename tree::LeafManager< PointDataTreeType >
using | LeafRangeT = typename LeafManagerT::LeafRange
using | PointIndexLeafNode = typename PointIndexTreeType::LeafNodeType
using | IndexArray = typename PointIndexLeafNode::IndexArray
using | ValueType = typename AttributeListType::value_type
using | HandleT = typename ConversionTraits< ValueType >::WriteHandle

## Public Member Functions
| PopulateAttributeOp (const PointIndexTreeType &pointIndexTree, const AttributeListType &data, const size_t index, const Index stride=1)
void | operator() (const typename LeafManagerT::LeafRange &range) const

## Public Attributes
const PointIndexTreeType & | mPointIndexTree
const AttributeListType & | mData
const size_t | mIndex
const Index | mStride

## Member Typedef Documentation

## ◆ HandleT

using HandleT = typename ConversionTraits<ValueType>::WriteHandle

## ◆ IndexArray

using IndexArray = typename PointIndexLeafNode::IndexArray

## ◆ LeafManagerT

using LeafManagerT = typename tree::LeafManager<PointDataTreeType>

## ◆ LeafRangeT

using LeafRangeT = typename LeafManagerT::LeafRange

## ◆ PointIndexLeafNode

using PointIndexLeafNode = typename PointIndexTreeType::LeafNodeType

## ◆ ValueType

using ValueType = typename AttributeListType::value_type

## Constructor & Destructor Documentation

## ◆ PopulateAttributeOp()

PopulateAttributeOp | ( | const PointIndexTreeType & | pointIndexTree,
|  | const AttributeListType & | data,
|  | const size_t | index,
|  | const Index | stride = `1`
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const typename LeafManagerT::LeafRange & | range | ) | const
| inline

## Member Data Documentation

## ◆ mData

const AttributeListType& mData

## ◆ mIndex

const size_t mIndex

## ◆ mPointIndexTree

const PointIndexTreeType& mPointIndexTree

## ◆ mStride

const Index mStride

The documentation for this struct was generated from the following file:

- PointConversion.h